import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

import 'package:scrobbles/models/statistics_recent.dart';

class ContentStatisticsRecent extends StatelessWidget {
  final StatisticsRecentData statistics;
  final bool isLoading;

  const ContentStatisticsRecent(
      {super.key, required this.statistics, required this.isLoading});

  @override
  Widget build(BuildContext context) {
    final TextTheme textTheme = Theme.of(context).primaryTextTheme;
    const String placeholder = '⏳';

    return Column(
      mainAxisSize: MainAxisSize.min,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Text(
          (this.statistics.recentCount != null &&
                  this.statistics.firstPlayedArtistsCount != null &&
                  this.statistics.firstPlayedTracksCount != null)
              ? 'statistics_recent_scrobbles_count_and_discoveries'
              : '',
          style: textTheme.bodyMedium,
        ).tr(
          namedArgs: {
            'count': this.isLoading ? placeholder : this.statistics.recentCount.toString(),
            'artistsCount': this.isLoading
                ? placeholder
                : this.statistics.firstPlayedArtistsCount.toString(),
            'tracksCount': this.isLoading
                ? placeholder
                : this.statistics.firstPlayedTracksCount.toString(),
          },
        ),
      ],
    );
  }
}
